Get a history of a customer's rewards
curl --request GET \
--url https://api.bridge.xyz/v0/rewards/{currency}/customer/{customerID}/history \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/rewards/{currency}/customer/{customerID}/history"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/rewards/{currency}/customer/{customerID}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customer_id": "02513e85-b0f9-4d79-8320-348ce9efaa11",
"rewards": [
{
"balance": "10000.00",
"amount": "0.958904",
"currency": "xusd",
"date": "2025-01-02"
},
{
"balance": "10100.00",
"amount": "0.968493",
"currency": "xusd",
"date": "2025-01-01"
}
]
}Rewards
Get a history of a customer's rewards
Get a history of a customer’s rewards. Data is calculated with a t-2 business day lag; the most recent available record corresponds to two business days prior to the current date.
GET
/
rewards
/
{currency}
/
customer
/
{customerID}
/
history
Get a history of a customer's rewards
Authorizations
Path Parameters
The stablecoin symbol
A UUID that uniquely identifies a resource
Required string length:
1 - 42Pattern:
[a-z0-9]*Was this page helpful?
⌘I
